Subject: Re: linux-next: manual merge of the driver-core tree with the sh tree

From: Paul Mundt <[email-masked]>
Date: Tue, 3 Mar 2009 09:12:18 +0900

On Mon, Mar 02, 2009 at 03:59:26PM -0800, Greg KH wrote:
> On Tue, Mar 03, 2009 at 10:45:33AM +1100, Stephen Rothwell wrote:
> > Hi Greg,
> > 
> > Today's linux-next merge of the driver-core tree got a conflict in
> > drivers/sh/maple/maple.c between commit
> > b233b28eac0cc37d07c2d007ea08c86c778c5af4 ("sh: maple: Support block reads
> > and writes") from the sh tree and commit
> > f1f93f5605f08a698418e52828bef46973b6a4ec ("sh: struct device - replace
> > bus_id with dev_name(), dev_set_name()") from the driver-core tree.
> > 
> > I fixed it up (see below) and can carry the fix as necessary.
> > 
> > Maybe we could persuade Paul to apply the driver-core patch (not the
> > patch below)to the sh tree (assuming he has been sent a copy)?
> 
> I think he was sent a copy, Kay?
> 
> Anyway, Paul, here's the patch, could you take this through your tree to
> prevent future conflicts?  It should build and work today, no
> dependancies on any other patch
> 
I'm a bit behind on pending patches due to travel, so it's possible I
just missed the earlier iteration. In any event, I've queued this up now,
thanks!